Fetch an image by UUID
Download a previously uploaded image for the device by its UUID.
Middlewares: authMiddleware, validateDevice
API key for authentication
In: header
Path Parameters
Device ObjectId
Image UUID
Response Body
application/json
curl -X GET "https://api.paperlesspaper.de/v1/devices/image/682fd0d7d4a6325d9d45b86f/string"{
"url": "string"
}Get events for a device GET
Fetch a chronological list of events generated by the specified device. This includes activate events sent on every device wake-up containing current settings and states, as well as update state events such as: EventType: `state`: - `update_checked_nopicture` - `update_checked_ok` - `download_ok` - `update_ok` - `update_failed` EventType: `activate`: - `json` - `AwsTopic` Examples: json: `{"file":"1722482048","fw":"b3.0.10","bat":"3749","wake":"BUTTON","wifi":"1, -45","usb":"1","orient":"2","timeout":"300","timeoutPredict":"296","timeoutRecentSetting":300}` AwsTopic: `$aws/things/epd13-0000000000/activateepaper` The latest update state is also available in the device information payload under the updatePending property. Middlewares: `authMiddleware`, `validateDevice`
Ping a device GET
Check connectivity and round-trip time to the specified device. Middlewares: `authMiddleware`, `validateDevice`